KNSBookmarkImporter class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KNSBookmarkImporter Class Reference

A class for importing NS bookmarks KEditBookmarks uses it to insert bookmarks into its DOM tree, and KActionMenu uses it to create actions directly. More...

`#include <kbookmarkimporter.h>`

Inheritance diagram for KNSBookmarkImporter:

[legend]
Collaboration diagram for KNSBookmarkImporter:

[legend]
List of all members.

## Signals
void | newBookmark (const QString &text, const QCString &url, const QString &additionalInfo)
| Notify about a new bookmark Use "html" for the icon.
void | newFolder (const QString &text, bool open, const QString &additionalInfo)
| Notify about a new folder Use "bookmark_folder" for the icon.
void | newSeparator ()
| Notify about a new separator.
void | endFolder ()
| Tell the outside world that we're going down one menu.
## Public Member Functions
| KNSBookmarkImporter (const QString &fileName)
void | parseNSBookmarks ()
void | parseNSBookmarks (bool utf8)
## Static Public Member Functions
QString | netscapeBookmarksFile (bool forSaving=false)
QString | mozillaBookmarksFile (bool forSaving=false)
## Protected Attributes
QString | m_fileName

## Detailed Description

A class for importing NS bookmarks KEditBookmarks uses it to insert bookmarks into its DOM tree, and KActionMenu uses it to create actions directly.

Definition at line 52 of file kbookmarkimporter.h.

## Member Function Documentation

void KNSBookmarkImporter::newBookmark | ( | const QString & | text,
|  | const QCString & | url,
|  | const QString & | additionalInfo
| ) | `[signal]`

| Notify about a new bookmark Use "html" for the icon.

void KNSBookmarkImporter::newFolder | ( | const QString & | text,
|  | bool | open,
|  | const QString & | additionalInfo
| ) | `[signal]`

| Notify about a new folder Use "bookmark_folder" for the icon.

void KNSBookmarkImporter::newSeparator | ( |  | ) | `[signal]`

| Notify about a new separator.

void KNSBookmarkImporter::endFolder | ( |  | ) | `[signal]`

| Tell the outside world that we're going down one menu.

The documentation for this class was generated from the following files:

- kbookmarkimporter.h
- kbookmarkimporter.cc

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:19:23 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001